using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Products;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IOptionGroupRepository
    {
        OptionGroup Save( OptionGroup optionGroup );
        void Delete( string optionGroupID );
        void DeleteLocalesByCultureID( string cultureID );
        OptionGroup GetOne( Culture culture, string optionGroupID );
        IList<ILocale> GetLocales( string optionGroupID );
        IList<OptionGroup> GetAll( Culture culture );
        IList<OptionGroup> SearchOptionGroup(
           Culture culture,
           string sortBy,
           SearchFilter searchFilter,
           int startIndex,
           int endIndex,
           out int howManyItems
           );
        IList<TableSchemaItem> GetTableSchema();
        bool ProductIsOptionGroup( Culture culture, string productID );
        bool IsUseStock( string productID, string optionGroupID );
    }
}
