using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Stores;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IStoreRepository
    {
        Store Save( Store store );
        void Delete( string storeID );
        Store GetOne( string storeID );
        IList<Store> SearchStore(
                string sortBy,
                SearchFilter searchFilter,
                int startIndex,
                int endIndex,
                out int howManyItems );
        IList<TableSchemaItem> GetTableSchema();
        string GetStoreIDByUrlName( string urlName );
        string GetStoreIDByStoreName( string storeName );
        IList<Store> GetAll( string sortBy );
    }
}
