using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain;
using Vevo.Domain.Configurations;
using Vevo.Domain.Orders;

namespace Vevo.Domain.Orders
{
    public class OrderEditService
    {
        public void RefreshOrderAmount( string orderID )
        {
            Order order = DataAccessContext.OrderRepository.GetOne( orderID );

            CheckoutDetails checkout = order.CreateCheckoutDetails( Culture.Null );
            Cart shoppingCart = order.CreateShoppingCart();

            OrderCalculator orderCalculator = new OrderCalculator();
            OrderAmount orderAmount = orderCalculator.CalculateForOrderEditing(
                checkout,
                shoppingCart.SeparateCartItemGroups(),
                DataAccessContext.CustomerRepository.GetOne( order.CustomerID ),
                order.GiftCertificate );

            order.Subtotal = orderAmount.Subtotal;
            order.CouponDiscount = orderAmount.Discount;
            order.ShippingCost = orderAmount.ShippingCost;
            order.HandlingFee = orderAmount.HandlingFee;
            order.Tax = orderAmount.Tax;
            order.GiftCertificate = orderAmount.GiftCertificate;

            DataAccessContext.OrderRepository.Save( order );
        }
    }
}
