using System;
using System.Data;
using System.Configuration;

using Vevo.Domain.Configurations;

namespace Vevo.Domain.Payments
{
    /// <summary>
    /// Summary description for NullPaymentMethod
    /// </summary>
    public class NullPaymentMethod : PaymentMethod
    {
        //public static NullPaymentMethod Instance = new NullPaymentMethod();


        #region Private

        private static NullPaymentMethod _instance;


        private NullPaymentMethod()
            : base()
        {
        }

        #endregion


        #region Public Properties

        public static NullPaymentMethod Instance
        {
            get
            {
                if (_instance == null)
                    _instance = new NullPaymentMethod();

                return _instance;
            }
        }

        public override bool IsNull
        {
            get { return true; }
        }

        public override string Name
        {
            get
            {
                return String.Empty;
            }
        }

        public override string SecondaryName
        {
            get
            {
                return String.Empty;
            }
            set
            {
            }
        }

        public override string FullName
        {
            get
            {
                return String.Empty;
            }
        }

        #endregion
    }
}
