using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Domain.Users
{
    public class Country : ICloneable
    {
        #region Private

        private string _countryCode = String.Empty;
        private string _commonName = String.Empty;
        private string _formalName = String.Empty;
        private string _countryType = String.Empty;
        private string _countrySubType = String.Empty;
        private string _sovereignty = String.Empty;
        private string _capital = String.Empty;
        private string _currencyCode = String.Empty;
        private string _currencyName = String.Empty;
        private string _telephoneCode = String.Empty;
        private string _countryCode3 = String.Empty;
        private string _countryNumber = String.Empty;
        private string _internetCountryCode = String.Empty;
        private int _sortOrder = 1;
        private bool _enabled = true;

        #endregion


        #region Public Constructors

        public Country()
        {
        }

        #endregion


        #region Public Properties

        public static Country Null
        {
            get { return NullCountry.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string CountryCode { get { return _countryCode; } set { _countryCode = value; } }
        public string CommonName { get { return _commonName; } set { _commonName = value; } }
        public string FormalName { get { return _formalName; } set { _formalName = value; } }
        public string CountryType { get { return _countryType; } set { _countryType = value; } }
        public string CountrySubType { get { return _countrySubType; } set { _countrySubType = value; } }
        public string Sovereignty { get { return _sovereignty; } set { _sovereignty = value; } }
        public string Capital { get { return _capital; } set { _capital = value; } }
        public string CurrencyCode { get { return _currencyCode; } set { _currencyCode = value; } }
        public string CurrencyName { get { return _currencyName; } set { _currencyName = value; } }
        public string TelephoneCode { get { return _telephoneCode; } set { _telephoneCode = value; } }

        public string CountryCode3 { get { return _countryCode3; } set { _countryCode3 = value; } }
        public string CountryNumber { get { return _countryNumber; } set { _countryNumber = value; } }
        public string InternetCountryCode { get { return _internetCountryCode; } set { _internetCountryCode = value; } }
        public int SortOrder { get { return _sortOrder; } set { _sortOrder = value; } }
        public bool Enabled { get { return _enabled; } set { _enabled = value; } }

        #endregion


        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            Country newObject = (Country) MemberwiseClone();
            return newObject;
        }

        #endregion


        #region Public Method

        #endregion
    }
}
