using System;
using System.Data;
using System.Configuration;
using Vevo.Domain;

namespace Vevo.WebUI.Users
{
    /// <summary>
    /// Summary description for AdminHelper
    /// </summary>
    public class AdminHelper
    {
        private string _userName;
        private string _adminID;

        private AdminPermission _permission;


        public AdminHelper()
        {
        }


        public static AdminHelper LoadByUserName( string userName )
        {
            AdminHelper admin = new AdminHelper();
            admin._userName = userName;
            admin._adminID = DataAccessContext.AdminRepository.GetIDFromUserName( userName );
            admin._permission = new AdminPermission( admin._adminID );

            return admin;
        }

        public bool CanModifyPage( string url )
        {
            return _permission.CanModifyPage( url );
        }

        public bool CanViewPage( string url )
        {
            return _permission.CanViewPage( url );
        }

    }
}
